Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.tslib.forecast
Interface IForecastResult

All Known Implementing Classes:
  ForecastResult

    public interface IForecastResult

Since:
  1.10
Author:
  Andre van Hoorn

Method Summary
`int` | `getConfidenceLevel()` Returns the confidence level for the forecast interval.
`ForecastMethod` | `getFcStrategy()` Returns the forecasting strategy that has been used for this forecast.
`ITimeSeries<Double>` | `getForecast()` Returns the point forecasts.
`ITimeSeries<Double>` | `getLower()` Returns the lower limits for forecast interval with respect to the confidence level `getConfidenceLevel()`.
`double` | `getMeanAbsoluteScaledError()` Returns the MeanAbsoluteScaledError.
`ITimeSeries<Double>` | `getOriginal()` Returns the original time series that was the basis for the forecast.
`ITimeSeries<Double>` | `getUpper()` Returns the upper limits for forecast interval with respect to the confidence level `getConfidenceLevel()`.
`boolean` | `isPlausible()` Returns whether the result is plausible - mean forecast bigger than 0 and smaller than 1.5*maximum.

Method Detail

### getForecast

    ITimeSeries<Double> getForecast()

  Returns the point forecasts.

  Since:
    1.10

### getConfidenceLevel

    int getConfidenceLevel()

  Returns the confidence level for the forecast interval.

  Since:
    1.10

### getUpper

    ITimeSeries<Double> getUpper()

  Returns the upper limits for forecast interval with respect to the confidence level `getConfidenceLevel()`.

  Since:
    1.10

### getLower

    ITimeSeries<Double> getLower()

  Returns the lower limits for forecast interval with respect to the confidence level `getConfidenceLevel()`.

  Since:
    1.10

### getOriginal

    ITimeSeries<Double> getOriginal()

  Returns the original time series that was the basis for the forecast.

  Returns:
    orginal Timeseries
  Since:
    1.10

### getMeanAbsoluteScaledError

    double getMeanAbsoluteScaledError()

  Returns the MeanAbsoluteScaledError.

  Returns:
    MASE
  Since:
    1.10

### getFcStrategy

    ForecastMethod getFcStrategy()

  Returns the forecasting strategy that has been used for this forecast.

  Returns:
    ForecastMethod
  Since:
    1.10

### isPlausible

    boolean isPlausible()

  Returns whether the result is plausible - mean forecast bigger than 0 and smaller than 1.5*maximum.

  Returns:
    if result is plausible
  Since:
    1.10

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net